Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qiml
Class TargetEditor

    java.lang.Object
      |
      +--com.jxml.quick.model.qiml.TargetEditor

All Implemented Interfaces:
  Target

public class TargetEditor
extends Object
implements Target

TargetEditor - The targetEditor element specifies a JavaBean property editor to be used in constructing an object and in expressing that object. The text content is passed to the property editor when creating the object. The element being defined must have neither attributes nor element content.

Field Summary
`protected String` | `editorClass_16` The targetEditor piece attributes the property editor class.
`protected String` | `editorTargetClass_15` The object constructed from an element (or attribute) will be an instance of the class named by targetClass.
`protected ArrayList` | `value_17` list of Value

Constructor Summary
`TargetEditor()`
`TargetEditor(String editorTargetClass_15)` minimum constructor
`TargetEditor(String editorClass_16, String editorTargetClass_15, ArrayList value_17)` full constructor

Method Summary
`void` | `addValue(Value value)`
`String` | `getEditorClass_16()` The targetEditor piece attributes the property editor class.
`String` | `getEditorTargetClass_15()` The object constructed from an element (or attribute) will be an instance of the class named by targetClass.
`ArrayList` | `getValue_17()` list of Value
`Value` | `getValue(int i)`
`void` | `setEditorClass_16(String editorClass_16)` The targetEditor piece attributes the property editor class.
`void` | `setEditorTargetClass_15(String editorTargetClass_15)` The object constructed from an element (or attribute) will be an instance of the class named by targetClass.
`void` | `setValue_17(ArrayList value_17)` list of Value
`void` | `setValue(int i, Value value)`
`int` | `valueCount()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editorClass_16

    protected String editorClass_16

  The targetEditor piece attributes the property editor class. When not present, targetClass will be used to determine the editor class.

### editorTargetClass_15

    protected String editorTargetClass_15

  The object constructed from an element (or attribute) will be an instance of the class named by targetClass. The element being defined must have neither attributes nor element content.

### value_17

    protected ArrayList value_17

  list of Value

Constructor Detail

### TargetEditor

    public TargetEditor()

### TargetEditor

    public TargetEditor(String editorClass_16,
                        String editorTargetClass_15,
                        ArrayList value_17)

  full constructor

### TargetEditor

    public TargetEditor(String editorTargetClass_15)

  minimum constructor

Method Detail

### getEditorClass_16

    public String getEditorClass_16()

  The targetEditor piece attributes the property editor class. When not present, targetClass will be used to determine the editor class.

### setEditorClass_16

    public void setEditorClass_16(String editorClass_16)

  The targetEditor piece attributes the property editor class. When not present, targetClass will be used to determine the editor class.

### getEditorTargetClass_15

    public String getEditorTargetClass_15()

  The object constructed from an element (or attribute) will be an instance of the class named by targetClass. The element being defined must have neither attributes nor element content.

### setEditorTargetClass_15

    public void setEditorTargetClass_15(String editorTargetClass_15)

  The object constructed from an element (or attribute) will be an instance of the class named by targetClass. The element being defined must have neither attributes nor element content.

### getValue_17

    public ArrayList getValue_17()

  list of Value

### setValue_17

    public void setValue_17(ArrayList value_17)

  list of Value

### getValue

    public Value getValue(int i)

### setValue

    public void setValue(int i,
                         Value value)

### valueCount

    public int valueCount()

### addValue

    public void addValue(Value value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD